/////////////////////////////////////////////////////////////////////////////
// Name:        status.h
// Purpose:     Status page for the AxTk Doxygen manual
// Author:      Julian Smart
// RCS-ID:      $Id$
// Licence:     New BSD License
/////////////////////////////////////////////////////////////////////////////


/**

@page page_status Project status

The bottom layer of AxTk (ax) provides classes for adapting existing user interface
elements for speech output and enhanced keyboard navigation (such as stepping through
sentences in a text control while speaking them). It also provides an
extensible menu architecture, including toggle, choice, text entry, folder selection, and
file selection menu items. A basic user interface is provided in the form
of AxContainerCtrl which contains the menu, title, description and view
areas.

The next layer (ax_resource) contains a preliminary set of classes for
adding resource library functionality, with support for playing audio files
inside the application.

A text to speech layer (tts) provides a general-purpose interface to
a variety of speech engines.

Various other files (fileutils, xmlutils etc.) supply utility classes
needed by the other parts.

Please see the separate ToDo file for tasks that need to be done.


*/
